Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Swap< T > Class Template Reference

Defines a function to swap two variables. More...

`#include <Swap.h>`

List of all members.

## Static Public Member Functions
void | swap (T &lhs, T &rhs)
| Swap two variables.

## Detailed Description

### template<class T>
class ACE_Swap< T >

Defines a function to swap two variables.

Deprecated:
  This template is deprecated, you can use std::swap without problems on all platforms.

## Member Function Documentation

template<class T>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE void ACE_Swap< T >::swap | ( | T & | lhs,
|  | T & | rhs
| ) | `[static]`

| Swap two variables.

The documentation for this class was generated from the following files:

- Swap.h
- Swap.inl